Index: palm/trunk/SCRIPTS/.mrun.config.default
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.default	(revision 82)
+++ palm/trunk/SCRIPTS/.mrun.config.default	(revision 83)
@@ -10,8 +10,23 @@
 %use_makefile      true
 #
+# Enter your own host below by adding another line containing in the second
+# column your hostname (as provided by the unix command "hostname") and in the
+# third column the host identifier. Depending on your system, the first
+# characters of the host identifier should be "lc" (Linux cluster), "ibm"
+# (IBM-AIX), or "nec" (NEC-SX), respectively.
+%host_identifier   bora        lcmuk
+%host_identifier   cs*         nech
+%host_identifier   hreg*-en0   ibmh
+%host_identifier   hanni*-en0  ibmh
+%host_identifier   breg*-en0   ibmb
+%host_identifier   berni*-en0  ibmb
+#
 #%remote_username   <replace by your linux cluster username>     lcmuk parallel
 %tmp_user_catalog  /tmp                                          lcmuk parallel
 %compiler_name     mpif90                                        lcmuk parallel
 %compiler_name_ser ifort                                         lcmuk parallel
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit:-D__intel_openmp_bug   lcmuk parallel
+%netcdf_inc        -I:/muksoft/packages/netcdf/linux/include            lcmuk parallel
+%netcdf_lib        -L/muksoft/packages/netcdf/linux/lib:-lnetcdf        lcmuk parallel
 %fopts             -axW:-cpp:-openmp:-r8:-nbs:-convert:little_endian     lcmuk parallel
 %lopts             -axW:-cpp:-openmp:-r8:-nbs:-Vaxlib                    lcmuk parallel
@@ -33,6 +48,11 @@
 %compiler_name     mpxlf95_r                                  ibmh parallel
 %compiler_name_ser xlf95                                      ibmh parallel
-%fopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmh parallel
-%lopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp   ibmh parallel
+%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmh parallel
+%dvrp_inc          -I/home/h/nikevita/lib_stable/optimize     ibmh parallel
+%dvrp_lib          -L/home/h/nikevita/lib_stable/optimize:-lDVRP2:-lftp  ibmh parallel
+%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmh parallel
+%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmh parallel
+%fopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmh parallel
+%lopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp   ibmh parallel
 %memory            1630                                       ibmh parallel
 %cpumax            1000                                       ibmh parallel
@@ -44,6 +64,6 @@
 %compiler_name     mpxlf95_r                                  ibmh parallel debug
 %compiler_name_ser xlf95                                      ibmh parallel debug
-%fopts             -qnoopt:-g:-qsmp=noopt:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap    ibmh parallel debug
-%lopts             -qnoopt:-g:-qsmp=noopt:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap:-lesslsmp  ibmh parallel debug
+%fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap    ibmh parallel debug
+%lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap:-lesslsmp  ibmh parallel debug
 %memory            1000                                       ibmh parallel debug
 %cpumax            1000                                       ibmh parallel debug
@@ -64,4 +84,7 @@
 %compiler_name     sxmpif90                                   nech parallel
 %compiler_name_ser sxf90                                      nech parallel
+%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  nech parallel
+%netcdf_inc        -I:/pool/SX-6/netcdf/netcdf-3.6.0-p1/include  nech parallel
+%netcdf_lib        -L/pool/SX-6/netcdf/netcdf-3.6.0-p1/lib:-lnetcdf  nech parallel
 %fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  nech parallel
 %lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  nech parallel
@@ -75,4 +98,9 @@
 %compiler_name     sxmpif90                                   neck parallel
 %compiler_name_ser sxf90                                      neck parallel
+%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  neck parallel
+%netcdf_inc        -I:/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1/include  neck parallel
+%netcdf_lib        -L/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1/lib:-lnetcdf  neck parallel
+%dvrp_inc          -I/home/DSRC/NC/tatuyama/pub/dvrp          neck parallel
+%dvrp_lib          -L/home/DSRC/NC/tatuyama/pub/dvrp:-lDVRP2:-lftp  neck parallel
 %fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  neck parallel
 %lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  neck parallel
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 82)
+++ palm/trunk/SCRIPTS/mbuild	(revision 83)
@@ -108,4 +108,5 @@
  suf=f90
  update=false
+ working_directory=`pwd`
 
  typeset -i  ih ihost=0
@@ -119,5 +120,5 @@
     # FEHLERBEHANDLUNG
     # BEI EXIT:
- trap 'rm -rf  tmp_mbuild
+ trap 'rm -rf  $working_directory/tmp_mbuild
        if [[ $locat != normal ]]
        then
@@ -129,5 +130,5 @@
 
     # BEI TERMINAL-BREAK:
- trap 'rm -rf  tmp_mbuild
+ trap 'rm -rf  $working_directory/tmp_mbuild
        printf "\n\n +++ mbuild killed by \"^C\" \n\n"
        exit
@@ -188,5 +189,5 @@
        HOSTNAME=`echo $line | cut -d" " -s -f2`
        host_identifier=`echo $line | cut -d" " -s -f3`
-       if [[ "$HOSTNAME" = $local_host_real_name ]]
+       if [[ $local_host_real_name = $HOSTNAME ]]
        then
           local_host=$host_identifier
@@ -207,22 +208,4 @@
 
 
-# case  $local_host_real_name  in
-#     (atmos)                    local_host=lcide;;
-#     (berte)                    local_host=t3eb;;
-#     (bora|breva|gregale|irifi|levanto|maestro|orkan|ostria|quanero|scirocco)  local_host=lcmuk;;
-#     (fimm.bccs.uib.no)         local_host=lcmuk;;
-#     (gate)                     local_host=neck;;
-#     (gfdl3.yonsei.ac.kr)       local_host=decalpha;;
-#     (gfdl5)                    local_host=ibmy;;
-#     (gwdk081.gwdg.de)          local_host=ibm;;
-#     (hreg01a-en0|hreg02a-en0)  local_host=ibmh;;
-#     (nobel|nobela)             local_host=ibms;;
-#     (tgg*)                     local_host=lctit;;
-#     (t3e)                      local_host=t3eh;;
-#     (zam003)                   local_host=t3ej2;;
-#     (zam005)                   local_host=t3ej5;;
-#    (*)       printf "\n  +++ local host \"$local_host_real_name\" not admitted for mbuild \n"
-#               locat=local_host; exit;;
-# esac
 
  [[ $local_host_real_name = scirocco ]]  &&  scirocco=true
@@ -737,42 +720,20 @@
 
        # IP-ADRESSE DES REMOTE-RECHNERS BESTIMMEN
-    netcdf_support=false
     case  $remote_host  in
-        (lcmuk)          remote_addres=130.75.105.3
-                         netcdf_support=true
-                         if [[ $scirocco = true ]]
+        (lcmuk)          remote_addres=130.75.105.3;;
+        (lctit)          remote_addres=172.17.75.161;;
+        (decalpha)       remote_addres=165.132.26.56;;
+        (ibmb)           remote_addres=130.73.230.10;;
+        (ibmh)           remote_addres=130.75.4.10;;
+        (ibms)           remote_addres=150.183.5.101;;
+        (ibmy)           remote_addres=165.132.26.58;;
+        (nech)           remote_addres=136.172.44.192;;
+        (neck)           remote_addres=133.5.178.11;;
+        (ground.yonsei.ac.kr) remote_addres=134.75.155.33;;
+        (*)              if [[ $local_host != $remote_host ]]
                          then
-                            netcdf_path=/opt/netcdf/3.6.2-beta4
-                         elif [[ $fimm = true ]]
-                         then
-                            netcdf_path=/local/netcdf
-                         else
-                            netcdf_path=/muksoft/packages/netcdf/linux
+                            printf "\n  +++ remote host \"$remote_host\" unknown";
+                            printf "\n      please inform S. Raasch!"
                          fi;;
-        (lctit)          remote_addres=172.17.75.161; netcdf_support=true
-                         netcdf_path=/home/usr5/mkanda/netcdf-3.6.2; cpp_options="-Mpreprocess";;
-        (decalpha)       remote_addres=165.132.26.56; cpp_options="-cpp"; netcdf_support=true
-                         netcdf_path=/usr/local/netcdf-3.5.1;;
-        (ibm)            remote_addres=134.76.99.81; cpp_options="-qsuffix=cpp=f90";;
-        (ibmb)           remote_addres=130.73.230.10; cpp_options="-qsuffix=cpp=f90"; netcdf_support=true
-                         netcdf_path=/aws/dataformats/netcdf-3.6.0-p1/64-32;;
-        (ibmh)           remote_addres=130.75.4.10; cpp_options="-qsuffix=cpp=f90"; netcdf_support=true
-                         netcdf_path=/aws/dataformats/netcdf-3.6.0-p1/64-32;;
-        (ibms)           remote_addres=150.183.5.101; cpp_options="-qsuffix=cpp=f90"; netcdf_support=true
-                         netcdf_path=/applic/lib/NETCDF64;;
-        (ibmy)           remote_addres=165.132.26.58; cpp_options="-qsuffix=cpp=f90"; netcdf_support=true
-                         netcdf_path=/usr1/users/raasch/pub/netcdf-3.6.0-p1;;
-        (nech)           remote_addres=136.172.44.192; cpp_options="-Ep"; netcdf_support=true
-                         netcdf_path=/pool/SX-6/netcdf/netcdf-3.6.0-p1;;
-        (neck)           remote_addres=133.5.178.11; cpp_options="-Ep"; netcdf_support=true
-                         netcdf_path=/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1;;
-        (t3eb)           remote_addres=130.73.206.21; cpp_options="-eZ";;
-        (t3eh)           remote_addres=130.75.4.131; cpp_options="-eZ";;
-        (t3ej2)          remote_addres=134.94.100.22; cpp_options="-eZ";;
-        (t3ej5)          remote_addres=134.94.100.49; cpp_options="-eZ";;
-        (ground.yonsei.ac.kr) remote_addres=134.75.155.33;;
-     (*)                 printf "\n  +++ remote host \"$remote_host\" unknown";
-                         printf "\n      please inform S. Raasch!";
-                         locat=config_file; exit;;
     esac
 
@@ -912,70 +873,4 @@
 
 
-       # PRAEPROZESSOR-DIREKTIVEN SETZEN
-    if [[ $(echo $remote_host | cut -c1-3) = ibm ]]
-    then
-       if [[ $remote_host = ibms ]]
-       then
-          cpp_options="$cpp_options -WF,-DMPI_REAL=MPI_DOUBLE_PRECISION"
-          [[ $netcdf_support = true ]]  &&  cpp_options="${cpp_options},-D__netcdf"
-       else
-          cpp_options="$cpp_options -WF,-DMPI_REAL=MPI_DOUBLE_PRECISION"
-          [[ $netcdf_support = true ]]  &&  cpp_options="${cpp_options},-D__netcdf,-D__netcdf_64bit"
-          [[ $remote_host = ibmy ]]  &&  cpp_options="${cpp_options},-D__ibmy_special"
-       fi
-    elif [[ $remote_host = lcmuk ]]
-    then
-       cpp_options="$cpp_options -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION"
-       [[ $netcdf_support = true ]]  &&  cpp_options="$cpp_options -D__netcdf -D__netcdf_64bit"
-    elif [[ $remote_host = lctit ]]
-    then
-       cpp_options="$cpp_options -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION"
-       [[ $netcdf_support = true ]]  &&  cpp_options="$cpp_options -D__netcdf"
-    elif [[ $remote_host = decalpha ]]
-    then
-       cpp_options="$cpp_options -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION"
-       [[ $netcdf_support = true ]]  &&  cpp_options="$cpp_options -D__netcdf"
-    elif [[ $remote_host = nech  ||  $remote_host = neck ]]
-    then
-       cpp_options="$cpp_options -DMPI_REAL=MPI_REAL8 -DMPI_2REAL=MPI_2REAL8 -DSCFFT=DZFFT -DCSFFT=ZDFFT"
-       [[ $netcdf_support = true ]]  &&  cpp_options="$cpp_options -D__netcdf -D__netcdf_64bit"
-    fi
-
-    if [[ $(echo $remote_host | cut -c1-3) = ibm ]]
-    then
-       for  string  in  $remote_host_string
-       do
-          if [[ $(echo $string | cut -c1-3) = ibm ]]
-          then
-             cpp_options="${cpp_options},-D__ibm"
-             if [[ $remote_host = ibmy ]]
-             then
-                cpp_options="${cpp_options},-D__ibmy_special"
-             fi
-          else
-             cpp_options="${cpp_options},-D__$string"
-          fi
-       done
-       cpp_options="$cpp_options "
-    elif [[ $remote_host = nech  ||  $remote_host = neck ]]
-    then
-       for  string  in  $remote_host_string
-       do
-          if [[ $(echo $string | cut -c1-3) = nec ]]
-          then
-             cpp_options="${cpp_options} -D__nec"
-          else
-             cpp_options="${cpp_options} -D__$string"
-          fi
-       done
-       cpp_options="$cpp_options "
-    else
-       for  string  in  $remote_host_string
-       do
-          cpp_options="$cpp_options -D__$string "
-       done
-    fi
-
-
        # PRAEPROZESSOR-OPTIONEN/DIREKTIVEN ERMITTELN
     line=""
@@ -1004,6 +899,17 @@
        then
           cpp_options="$cpp_options -D__lc "
+       elif [[ $(echo $remote_host | cut -c1-3) = ibm  &&  $(echo $string | cut -c1-3) = ibm ]]
+       then
+          cpp_options="${cpp_options},-D__ibm"
+       elif [[ $(echo $remote_host | cut -c1-3) = nec  &&  $(echo $string | cut -c1-3) = nec ]]
+       then
+          cpp_options="${cpp_options} -D__nec"
        else
-          cpp_options="$cpp_options -D__$string "
+          if [[ $(echo $remote_host | cut -c1-3) = ibm ]]
+          then
+             cpp_options="${cpp_options},-D__$string"
+          else
+             cpp_options="$cpp_options -D__$string "
+          fi
        fi
     done
@@ -1067,15 +973,4 @@
     fi
 
-    if [[ $netcdf_support = true ]]
-    then
-       case  $remote_host  in
-          (decalpha)  compiler_options="-I${netcdf_path}/include  $compiler_options";;
-          (ibmb|ibmh) compiler_options="-I ${netcdf_path}/include-64  $compiler_options";;
-          (ibms)      compiler_options="-I /applic/netcdf64/src/f90  $compiler_options";;
-          (ibmy)      compiler_options="-I ${netcdf_path}/include  $compiler_options";;
-          (lctit)     compiler_options="-I ${netcdf_path}/include  $compiler_options";;
-          (nech|neck) compiler_options="-I ${netcdf_path}/include  $compiler_options";;
-       esac
-    fi
 
 
@@ -1102,15 +997,4 @@
           # NETCDF-LIBRARY HINZUFUEGEN
        loader_options="$loader_options $netcdf_lib"
-    fi
-
-    if [[ $netcdf_support = true ]]
-    then
-       case  $remote_host  in
-          (decalpha)             loader_options="$loader_options -L${netcdf_path}/lib -lnetcdf";;
-          (ibmb|ibmh|nech|neck)  loader_options="$loader_options -L${netcdf_path}/lib -lnetcdf";;
-          (ibms)                 loader_options="$loader_options -L${netcdf_path} -lnetcdf";;
-          (ibmy)                 loader_options="$loader_options -L${netcdf_path}/lib -lnetcdf";;
-          (lctit)                loader_options="$loader_options -L${netcdf_path}/lib -lnetcdf";;
-       esac
     fi
 
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 82)
+++ palm/trunk/SCRIPTS/mrun	(revision 83)
@@ -252,5 +252,5 @@
     # FEHLERBEHANDLUNG
     # BEI EXIT:
- trap 'rm -rf  tmp_mrun
+ trap 'rm -rf  $working_directory/tmp_mrun
        if [[ $locat != localhost ]]
        then
@@ -318,5 +318,5 @@
 
     # BEI TERMINAL-BREAK:
- trap 'rm -rf  tmp_mrun
+ trap 'rm -rf  $working_directory/tmp_mrun
        [[ $tmpcreate = true ]]  &&  (cd; rm -rf $TEMPDIR)
        if [[ -f ~/job_queue/JOBINFO.$QSUB_REQID ]]
@@ -472,5 +472,5 @@
        HOSTNAME=`echo $line | cut -d" " -s -f2`
        host_identifier=`echo $line | cut -d" " -s -f3`
-       if [[ "$HOSTNAME" = $localhost_realname ]]
+       if [[ $localhost_realname = $HOSTNAME ]]
        then
           localhost=$host_identifier
@@ -547,6 +547,6 @@
         (ibm|ibmb|ibmh|ibms|ibmy|nech|neck|lctit|unics)  true;;
         (*)  printf "\n"
-             printf "\n  +++ execution host \"$host\" not admitted for MRUN,"
-             printf "\n      or NQS not available on execution host!"
+             printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
+             printf "\n      is not available"
              locat=nqs; (( iec = 0 )); exit;;
     esac
@@ -665,5 +665,6 @@
                    case  $host  in
                        (ibm|ibms|ibmy|lctit|nech|neck|unics)  true;;
-                       (*)  printf "\n  +++ no queueing system available on execution host \"$host\""
+                       (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
+                            printf "\n      is not available"
                             locat=nqs; exit;;
                    esac
@@ -789,11 +790,4 @@
     export  interpreted_config_file=.icf.$RANDOM
 
-#    case  $localhost_realname  in
-#        (caurus|twister)      interpret_config.hp;;
-#        (bora|breva|elephanta|gallego|gregale|hababai|maestro|orkan|ostria)  export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/muksoft/packages/intel_ifc/8.1/lib/; interpret_config_9.x;;
-#        (levanto|vorias)      export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/muksoft/packages/intel/ifort/9.1.037/lib/; interpret_config_9.x_levanto;;
-#        (quanero)             export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/opt/intel_fc_80/lib; interpret_config_9.x;;
-#        (*)                   interpret_config.x;;
-#    esac
 
 
@@ -925,6 +919,6 @@
         (ibm|ibmb|ibmh|ibms|ibmy|lctit|nech|neck|unics)  true;;
         (*)  printf "\n"
-             printf "\n  +++ execution host \"$host\" not admitted for MRUN,"
-             printf "\n      or no queueing system available on execution host!"
+             printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
+             printf "\n      is not available"
              locat=nqs; (( iec = 0 )); exit;;
     esac
@@ -1079,32 +1073,4 @@
 
 
-    # EVTL. NETCDF-UNTERSTUETZUNG SETZEN
-# case  $host  in
-#     (decalpha)   netcdf_support=true
-#                  netcdf_path=/usr/local/netcdf-3.5.1;;
-#     (ibmb|ibmh)  netcdf_support=true
-#                  netcdf_path=/aws/dataformats/netcdf-3.6.0-p1/64-32;;
-#     (ibms)       netcdf_support=true
-#                  netcdf_path=/applic/lib/NETCDF64;;
-#     (ibmy)       netcdf_support=true
-#                  netcdf_path=/usr1/users/raasch/pub/netcdf-3.6.0-p1;;
-#     (lcmuk)      if [[ $scirocco = true ]]
-#                  then
-#                     netcdf_path=/opt/netcdf/3.6.2-beta4
-#                  elif [[ $fimm = true ]]
-#                  then
-#                     netcdf_path=/local/netcdf
-#                  else
-#                     netcdf_path=/muksoft/packages/netcdf/linux
-#                  fi;;
-#     (lctit)      netcdf_support=true
-#                  netcdf_path=/home2/usr5/mkanda/netcdf-3.6.2;;
-#     (nech)       netcdf_support=true
-#                  netcdf_path=/pool/SX-6/netcdf/netcdf-3.6.0-p1;;
-#     (neck)       netcdf_support=true
-#                  netcdf_path=/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1;;
-# esac
-
-
     # VOLLSTAENDIGE DATEINAMEN DER INPUT-FILES BILDEN,
     # INPUT-DATEIEN AUF VORHANDENSEIN PRUEFEN UND EVTL. HOECHSTE ZYKLUSNUMMER
@@ -1337,4 +1303,22 @@
 
 
+     # DAS DVRP-PAKET ERFORDERT EINE ENTSPRECHENDE BIBLIOTHEK
+ if [[ $(echo $package_list | grep -c dvrp_graphics) != 0 ]]
+ then
+    if [[ "$dvrp_inc" = "" ]]
+    then
+       printf "\n\n  +++ no value for \"dvrp_inc\" given in configuration file"
+       printf "\n      This is required for the dvrp_graphics package.\n"
+       locat=dvrp; exit
+    fi
+    if [[ "$dvrp_lib" = "" ]]
+    then
+       printf "\n\n  +++ no value for \"dvrp_lib\" given in configuration file"
+       printf "\n      This is required for the dvrp_graphics package.\n"
+       locat=dvrp; exit
+    fi
+ fi
+
+
      # PRUEFEN, OB ENTWEDER HAUPTPROGRAMM ODER NUR EIN AUSFUEHRBARES
      # PROGRAMM VEREINBART WURDE (IN DIESEM FALL BRAUCHT IM WEITEREN NICHT
@@ -1652,4 +1636,5 @@
        # PRAEPROZESSOR-DIREKTIVEN ZUM SELEKTIVEN AUSWAEHLEN VON CODETEILEN
        # ZUSAMMENSETZEN
+       # DIREKTIVEN ZUM AKTIVIEREN VON RECHNERSPEZIFISCHEM CODE
     if [[ $(echo $localhost | cut -c1-3) = ibm ]]
     then
@@ -1664,26 +1649,16 @@
        cpp_options="$cpp_options -D__$localhost"
     fi
+
+       # DIREKTIVEN DIE DURCH OPTION -K BESTIMMT WERDEN (Z.B. PARALLEL)
     if [[ $(echo $localhost | cut -c1-3) = ibm ]]
     then
        [[ -n $cond1 ]]  &&  cpp_options="${cpp_options},-D__$cond1=__$cond1"
        [[ -n $cond2 ]]  &&  cpp_options="${cpp_options},-D__$cond2=__$cond2"
-#       if [[ $netcdf_support = true ]]
-#       then
-#          PPOPTS="$PPOPTS -Dnetcdf=netcdf"
-#          [[ $localhost != ibms ]]      &&  PPOPTS="$PPOPTS -Dnetcdf_64bit=netcdf_64bit"
-#       fi
-#       if [[ $localhost = ibmy ]]
-#       then
-#          PPOPTS="$PPOPTS -Dibmy_special=ibmy_special"
-#       fi
     else
        [[ -n $cond1 ]]  &&  cpp_options="$cpp_options -D__$cond1"
        [[ -n $cond2 ]]  &&  cpp_options="$cpp_options -D__$cond2"
-#       if [[ $netcdf_support = true ]]
-#       then
-#          PPOPTS="$PPOPTS -Dnetcdf"
-#          [[ $localhost != decalpha  &&  $localhost != lctit ]]  &&  PPOPTS="$PPOPTS -Dnetcdf_64bit"
-#       fi
-    fi
+    fi
+
+       # DIREKTIVEN DIE SOFTWAREPAKETE AKTIVIEREN (OPTION -p)
     if [[ -n $package_list ]]
     then
@@ -1710,4 +1685,6 @@
        done
     fi
+
+       # DIREKTIVEN DIE DURCH OPTION -D FESTGELEGT SIND
     if [[ -n $cpp_opts ]]
     then
@@ -1723,26 +1700,4 @@
     fi
 
-       # OPTION ZUM EINSCHALTEN DES PRAEPROZESSORS HINZUFUEGEN
-#    if [[ $host = decalpha ]]
-#    then
-#       C_PPOPTS="-cpp  -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION $PPOPTS"
-#    elif [[ $(echo $host | cut -c1-3) = ibm ]]
-#    then
-#          # blanks in PPOPTS muessen durch "," ersetzt werden
-#       PPOPTS=`echo $PPOPTS | sed 's/ -/,-/g'`
-#       C_PPOPTS="-qsuffix=cpp=f90 -WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,$PPOPTS"
-#    elif [[ $host = lcmuk ]]
-#    then
-#       C_PPOPTS="$PPOPTS -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION"
-#    elif [[ $host = lctit ]]
-#    then
-#       C_PPOPTS="$PPOPTS -Mpreprocess -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION"
-#    elif [[ $(echo $host | cut -c1-3) = nec ]]
-#    then
-#       C_PPOPTS="-Ep -DMPI_REAL=MPI_REAL8 -DMPI_2REAL=MPI_2REAL8 -DSCFFT=dzfft -DCSFFT=zdfft $PPOPTS"
-#    else
-#       C_PPOPTS="$PPOPTS"
-#    fi
-
  else
 
@@ -1778,20 +1733,4 @@
     locat=compiler_name; exit
 
-#    case  $localhost  in
-#        (unics)                                 compiler_name=f77;;
-#        (lctit)                                 if [[ "$cond1" = parallel  ||  "$cond2" = parallel ]]
-#                                                then
-#                                                   compiler_name=mpif90
-#                                                   echo ">>> compiler=mpif90"
-#                                                else
-#                                                   compiler_name=pgf95
-#                                                   echo ">>> compiler=pgf95"
-#                                                fi;;
-#        (nech)                                  compiler_name=sxmpif90;;
-#        (decalpha)                              compiler_name=f95;;
-#        (ibm|ibmb|ibmh|ibms|ibmy)               compiler_name=mpxlf95_r;;
-#        (*)      printf "\n  +++ unknown host name: $localhost \n";
-#                 locat=localhost; exit;;
-#    esac
  fi
 
@@ -1800,10 +1739,4 @@
  [[ $localhost = neck ]]  &&  compiler_name=mpif90
 
-
-
-    # PRAEPROZESSOR-PFAD BESTIMMEN
- case  $localhost  in
-     (decalpha|ibm|ibmb|ibmh|ibms|ibmy|unics)  praeproc=cpp;;
- esac
 
 
@@ -1861,65 +1794,4 @@
 
 
-    # BEI VERWENDUNG VON DVRP-SOFTWARE MUSS ENTSPECHENDE GRAFIK-BIBLIOTHEK
-    # MIT EINGEBUNDEN WERDEN
-# if [[ -n $package_list ]]
-# then
-#    if [[ $(echo $package_list | grep -c dvrp_graphics) != 0 ]]
-#    then
-#
-#          # DVRP-GRAFIK GIBT ES NUR AUF DER IBM AM HLRN, AUF NECH/NECK UND
-#          # DEM NOTEBOOK SCIROCCO
-#       if [[ $host != ibmh  &&  $host != nech  &&  $host != neck  &&  $host != lcmuk  &&  "$local_compile" != true ]]
-#       then
-#          printf "\n"
-#          printf "\n  +++ option -p with package \"dvrp_graphics\" only allowed on nech and ibmh"
-#          locat=parameter; exit
-#       fi
-#       if [[ $host = ibmh ]]
-#       then
-#          if [[ $cond1 = debug  ||  $cond2 = debug ]]
-#          then
-#             fopts="-I/home/h/hzazchmi/lib/debug  $fopts"
-#             lopts="$lopts -L/home/h/hzazchmi/lib/debug -lDVRP2 -lftp"
-#          else
-#             fopts="-I/home/h/nikevita/lib_stable/optimize  $fopts"
-#             lopts="$lopts -L/home/h/nikevita/lib_stable/optimize -lDVRP2 -lftp"
-#          fi
-#       elif [[ $host = nech ]]
-#       then
-#          fopts="-I/import/ds9b/ipf2/b/b323014/lib/optimize  $fopts"
-#          lopts="$lopts -L/import/ds9b/ipf2/b/b323014/lib/optimize -lDVRP2 -lftp"
-#       elif [[ $host = neck ]]
-#       then
-#          fopts="-I/home/DSRC/NC/tatuyama/pub/dvrp  $fopts"
-#          lopts="$lopts -L/home/DSRC/NC/tatuyama/pub/dvrp -lDVRP2 -lftp"
-#       elif [[ $host = lcmuk ]]
-#       then
-#          fopts="-I/usr/local/lib/dvrp/optimize  $fopts"
-#          lopts="$lopts -L/usr/local/lib/dvrp/optimize -lDVRP2 -lftp"
-#       fi
-#    fi
-# fi
-
-
-    # EVTL. EINBINDEN DER NETCDF-BIBLIOTHEK
-# if [[ $netcdf_support = true ]]
-# then
-#    case  $host  in
-#       (decalpha)   fopts="-I${netcdf_path}/include  $fopts"
-#                    lopts="$lopts -L${netcdf_path}/lib -lnetcdf";;
-#       (ibmb|ibmh)  fopts="-I ${netcdf_path}/include-64  $fopts"
-#                    lopts="$lopts -L${netcdf_path}/lib -lnetcdf";;
-#       (ibms)       fopts="-I /applic/netcdf64/src/f90  $fopts"
-#                    lopts="$lopts -L${netcdf_path} -lnetcdf";;
-#       (ibmy)       fopts="-I ${netcdf_path}/include  $fopts"
-#                    lopts="$lopts -L${netcdf_path}/lib -lnetcdf";;
-#       (nech|neck)  fopts="-I ${netcdf_path}/include  $fopts"
-#                    lopts="$lopts -L${netcdf_path}/lib -lnetcdf";;
-#       (lctit)      fopts="-I ${netcdf_path}/include  $fopts"
-#                    lopts="$lopts -L${netcdf_path}/lib -lnetcdf";;
-#
-#    esac
-# fi
 
     # PRUEFEN DER CPU-ZEIT. (CPUMAX WIRD ALS ENV-VARIABLE VOM HAUTPRO-