Index: palm/trunk/INSTALL/example_rc
===================================================================
--- palm/trunk/INSTALL/example_rc	(revision 85)
+++ palm/trunk/INSTALL/example_rc	(revision 86)
@@ -1,5 +1,5 @@
 
  *************************           ----------------------------
- * PALM 3.2a  Rev: 82M   *           3D - run without 1D - prerun
+ * PALM 3.2a  Rev: 83    *           3D - run without 1D - prerun
  *************************           ----------------------------
 
Index: palm/trunk/SCRIPTS/.mrun.config.default
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.default	(revision 85)
+++ palm/trunk/SCRIPTS/.mrun.config.default	(revision 86)
@@ -21,4 +21,5 @@
 %host_identifier   breg*-en0   ibmb
 %host_identifier   berni*-en0  ibmb
+%host_identifier   tgg*        lctit
 #
 #%remote_username   <replace by your linux cluster username>     lcmuk parallel
@@ -44,4 +45,15 @@
 %fopts             -axW:-cpp:-g:-CB:-inline_debug_info:-r8:-nbs:-convert:little:endian     lcmuk trace
 %lopts             -axW:-cpp:-g:-CB:-inline_debug_info:-r8:-nbs:-Vaxlib                    lcmuk trace
+#
+#%remote_username   <replace by your tsubame username>              lctit parallel 
+#%tmp_user_catalog  <replace by your user_catalog>                  lctit parallel
+#%tmp_data_catalog  <replace by your data_catalog>                  lctit parallel
+%cpp_options       -Mpreprocess:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf  lctit parallel
+%netcdf_inc        -I:/home2/usr5/mkanda/netcdf-3.6.2/include      lctit parallel
+%netcdf_lib        -L/home2/usr5/mkanda/netcdf-3.6.2/lib:-lnetcdf  lctit parallel
+%compiler_name_ser pgf95                                           lctit parallel
+%compiler_name     mpif90                                          lctit parallel
+%fopts             -r8:-fast:-fastsse                              lctit parallel
+%lopts             -r8:-fast:-fastsse                              lctit parallel
 #
 #%remote_username   <replace by your HLRN username>           ibmh parallel
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 85)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 86)
@@ -12,5 +12,7 @@
 Errors:
 ------
-Bugfix: work_fft*_vec removed from some PRIVATE-declarations (poisfft.f90).
+Bugfix: work_fft*_vec removed from some PRIVATE-declarations (poisfft).
 
-poisfft
+Bugfix: field_chr renamed field_char (user_interface).
+
+poisfft, user_interface
Index: palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/data_output_dvrp.f90	(revision 85)
+++ palm/trunk/SOURCE/data_output_dvrp.f90	(revision 86)
@@ -32,4 +32,5 @@
 ! Actual revisions:
 ! -----------------
+! TEST: different colours for isosurfaces
 ! TEST: write statements
 !
@@ -103,9 +104,9 @@
 !--       Set lock to avoid recursive calls of DVRP_STEERING_UPDATE
           lock_steering_update = .TRUE.
-    WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: vor steering_update'
-    CALL local_flush( 9 )
+!   WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: vor steering_update'
+!   CALL local_flush( 9 )
           CALL DVRP_STEERING_UPDATE( m-1, data_output_dvrp )
-    WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: nach steering_update'
-    CALL local_flush( 9 )
+!   WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: nach steering_update'
+!   CALL local_flush( 9 )
           lock_steering_update = .FALSE.
        ENDIF
@@ -139,8 +140,9 @@
 !--    Select the plot mode (in case of isosurface or slicer only if user has
 !--    defined a variable which shall be plotted; otherwise do nothing)
-       IF ( mode_dvrp(m)(1:9) == 'particles'  .AND.  particle_advection )  THEN
-
-    WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: anfang particles'
-    CALL local_flush( 9 )
+       IF ( mode_dvrp(m)(1:9) == 'particles'  .AND.  particle_advection  .AND. &
+            simulated_time >= particle_advection_start )  THEN
+
+!   WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: anfang particles'
+!   CALL local_flush( 9 )
 !
 !--       DVRP-Calls for plotting particles:
@@ -169,7 +171,7 @@
 !
 !--          Particles have a tail
-             WRITE (9,*) '--- before ALLOCATE  simtime=',simulated_time,' #of_tails=', number_of_tails, &
-                           ' max#of_tp=', maximum_number_of_tailpoints
-    CALL local_flush( 9 )
+!            WRITE (9,*) '--- before ALLOCATE  simtime=',simulated_time,' #of_tails=', number_of_tails, &
+!                          ' max#of_tp=', maximum_number_of_tailpoints
+!   CALL local_flush( 9 )
              ALLOCATE( psize(number_of_tails), p_t(number_of_tails),      &
                        p_c(number_of_tails*maximum_number_of_tailpoints), &
@@ -177,6 +179,6 @@
                        p_y(number_of_tails*maximum_number_of_tailpoints), &
                        p_z(number_of_tails*maximum_number_of_tailpoints) )
-             WRITE (9,*) '--- after ALLOCATE'
-    CALL local_flush( 9 )
+!            WRITE (9,*) '--- after ALLOCATE'
+!   CALL local_flush( 9 )
              psize = 0.0;  p_t = 0;  p_c = 0.0;  p_x = 0.0;  p_y = 0.0
              p_z   = 0.0;
@@ -187,8 +189,8 @@
                 IF ( nn /= 0 )  THEN
                    k = k + 1
-                   IF ( simulated_time > 1338.0 )  THEN
-                      WRITE (9,*) '--- particle ',n,' tail_id=',nn,' #of_tp=',particles(n)%tailpoints
-    CALL local_flush( 9 )
-                   ENDIF
+!                  IF ( simulated_time > 1338.0 )  THEN
+!                     WRITE (9,*) '--- particle ',n,' tail_id=',nn,' #of_tp=',particles(n)%tailpoints
+!   CALL local_flush( 9 )
+!                  ENDIF
                    DO  j = 1, particles(n)%tailpoints
                       i = i + 1
@@ -200,20 +202,20 @@
                                                                 superelevation
                       p_c(i) = particle_tail_coordinates(j,4,nn)
-                      IF ( simulated_time > 1338.0 )  THEN
-                         WRITE (9,*) '--- tp= ',i,' x=',p_x(i),' y=',p_y(i), &
-                                                 ' z=',p_z(i),' c=',p_c(i)
-    CALL local_flush( 9 )
-                      ENDIF
+!                     IF ( simulated_time > 1338.0 )  THEN
+!                        WRITE (9,*) '--- tp= ',i,' x=',p_x(i),' y=',p_y(i), &
+!                                                ' z=',p_z(i),' c=',p_c(i)
+!   CALL local_flush( 9 )
+!                     ENDIF
                    ENDDO
                    psize(k) = particles(n)%dvrp_psize
                    p_t(k)   = particles(n)%tailpoints - 1
-                   IF ( simulated_time > 1338.0 )  THEN
-                      WRITE (9,*) '--- t= ',k,' psize=',psize(k),' p_t=',p_t(k)
-    CALL local_flush( 9 )
-                   ENDIF
+!                  IF ( simulated_time > 1338.0 )  THEN
+!                     WRITE (9,*) '--- t= ',k,' psize=',psize(k),' p_t=',p_t(k)
+!   CALL local_flush( 9 )
+!                  ENDIF
                 ENDIF                
              ENDDO
-             WRITE (9,*) '--- after locally storing the particle attributes'
-    CALL local_flush( 9 )
+!            WRITE (9,*) '--- after locally storing the particle attributes'
+!   CALL local_flush( 9 )
           ENDIF
 
@@ -238,25 +240,25 @@
                                      3, psize, p_c, p_t )
              ELSE
-                WRITE (9,*) '--- before DVRP_PARTICLES'
-    CALL local_flush( 9 )
+!               WRITE (9,*) '--- before DVRP_PARTICLES'
+!   CALL local_flush( 9 )
                 CALL DVRP_PARTICLES( m-1, number_of_tails, p_x, p_y, p_z, 15, &
                                      psize, p_c, p_t )
-                WRITE (9,*) '--- after DVRP_PARTICLES'
-                WRITE (9,*) 'm-1 = ',m-1
-                WRITE (9,*) 'number_of_tails=', number_of_tails
-                WRITE (9,*) 'p_x =', p_x
-                WRITE (9,*) 'p_y =', p_y
-                WRITE (9,*) 'p_z =', p_z
-                WRITE (9,*) 'psize =', psize
-                WRITE (9,*) 'p_c =', p_c
-                WRITE (9,*) 'p_t =', p_t
-
-    CALL local_flush( 9 )
+!               WRITE (9,*) '--- after DVRP_PARTICLES'
+!               WRITE (9,*) 'm-1 = ',m-1
+!               WRITE (9,*) 'number_of_tails=', number_of_tails
+!               WRITE (9,*) 'p_x =', p_x
+!               WRITE (9,*) 'p_y =', p_y
+!               WRITE (9,*) 'p_z =', p_z
+!               WRITE (9,*) 'psize =', psize
+!               WRITE (9,*) 'p_c =', p_c
+!               WRITE (9,*) 'p_t =', p_t
+
+!   CALL local_flush( 9 )
              ENDIF
           ENDIF
 
           CALL DVRP_VISUALIZE( m-1, 3, dvrp_filecount )
-    WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: ende particles'
-    CALL local_flush( 9 )
+!   WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: ende particles'
+!   CALL local_flush( 9 )
 
           DEALLOCATE( psize, p_c, p_t, p_x, p_y, p_z )
@@ -313,4 +315,13 @@
                       DO  k = nzb, nz_do3d
                          local_pf(i,j,k) = w(k,j,i)
+                      ENDDO
+                   ENDDO
+                ENDDO
+                DO  k = nzb, nz_do3d
+                   DO  j = nys+1, nyn
+                      DO  i = nxl, nxr+1
+                         local_pf(i,j,k) = 0.25 * local_pf(i,j-1,k) + &
+                                           0.50 * local_pf(i,j,k)   + &
+                                           0.25 * local_pf(i,j+1,k)
                       ENDDO
                    ENDDO
@@ -407,6 +418,6 @@
           IF ( mode_dvrp(m)(1:10) == 'isosurface' )  THEN
 
-    WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: anfang isosurface'
-    CALL local_flush( 9 )
+!   WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: anfang isosurface'
+!   CALL local_flush( 9 )
 !
 !--          DVRP-Calls for plotting isosurfaces:
@@ -417,5 +428,9 @@
 !--          Preliminary settings for w!
              IF ( output_variable == 'w' )  THEN
-                CALL DVRP_MATERIAL_RGB( m-1, 1, 0.3, 0.8, 0.3, 0.0 )
+                IF ( tv == 1 )  THEN
+                   CALL DVRP_MATERIAL_RGB( m-1, 1, 0.8, 0.1, 0.1, 0.0 )
+                ELSE
+                   CALL DVRP_MATERIAL_RGB( m-1, 1, 0.1, 0.1, 0.8, 0.0 )
+                ENDIF
              ELSE
                 CALL DVRP_MATERIAL_RGB( m-1, 1, 0.9, 0.9, 0.9, 0.0 )
@@ -428,6 +443,6 @@
              CALL DVRP_THRESHOLD( m-1, threshold(tv) )
              CALL DVRP_VISUALIZE( m-1, 1, dvrp_filecount )
-    WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: ende isosurface'
-    CALL local_flush( 9 )
+!   WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: ende isosurface'
+!   CALL local_flush( 9 )
 
              CALL cpu_log( log_point_s(26), 'dvrp_isosurface', 'stop' )
@@ -435,6 +450,6 @@
           ELSEIF ( mode_dvrp(m)(1:6) == 'slicer' )  THEN
 
-    WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: anfang slicer'
-    CALL local_flush( 9 )
+!   WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: anfang slicer'
+!   CALL local_flush( 9 )
 !
 !--          DVRP-Calls for plotting slicers:
@@ -465,6 +480,6 @@
              CALL cpu_log( log_point_s(27), 'dvrp_slicer', 'stop' )
 
-    WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: ende slicer'
-    CALL local_flush( 9 )
+!   WRITE ( 9, * ) '*** myid=', myid, ' data_output_dvrp: ende slicer'
+!   CALL local_flush( 9 )
           ENDIF
 
@@ -480,6 +495,6 @@
 
     CALL cpu_log( log_point(27), 'data_output_dvrp', 'stop' )
-    WRITE ( 9, * ) '*** myid=', myid, ' Ende data_output_dvrp'
-    CALL local_flush( 9 )
+!   WRITE ( 9, * ) '*** myid=', myid, ' Ende data_output_dvrp'
+!   CALL local_flush( 9 )
 
 #endif
Index: palm/trunk/SOURCE/user_interface.f90
===================================================================
--- palm/trunk/SOURCE/user_interface.f90	(revision 85)
+++ palm/trunk/SOURCE/user_interface.f90	(revision 86)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Bugfix: field_chr renamed field_char
 !
 ! Former revisions:
@@ -163,8 +163,8 @@
 !
 !    IF ( initializing_actions == 'read_restart_data' )  THEN
-!       READ ( 13 )  field_chr
-!       DO  WHILE ( TRIM( field_chr ) /= '*** end user ***' )
-!
-!          SELECT CASE ( TRIM( field_chr ) )
+!       READ ( 13 )  field_char
+!       DO  WHILE ( TRIM( field_char ) /= '*** end user ***' )
+!
+!          SELECT CASE ( TRIM( field_char ) )
 !
 !             CASE ( 'u2_av' )
@@ -174,5 +174,5 @@
 !             CASE DEFAULT
 !                PRINT*, '+++ user_init: unknown variable named "', &
-!                        TRIM( field_chr ), '" found in'
+!                        TRIM( field_char ), '" found in'
 !                PRINT*, '               data from prior run on PE ', myid
 !                CALL local_stop
@@ -180,5 +180,5 @@
 !          END SELECT
 !
-!          READ ( 13 )  field_chr
+!          READ ( 13 )  field_char
 !
 !       ENDDO