Index: /palm/trunk/DOC/app/chapter_3.5.1.html
===================================================================
--- /palm/trunk/DOC/app/chapter_3.5.1.html	(revision 89)
+++ /palm/trunk/DOC/app/chapter_3.5.1.html	(revision 90)
@@ -1,6 +1,5 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
 <html><head>
-<meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252"><title>PALM
-chapter 3.5.1</title> <meta name="GENERATOR" content="StarOffice 7 (Win32)"> <meta name="AUTHOR" content="Siegfried Raasch"> <meta name="CREATED" content="20040802;11451548"> <meta name="CHANGED" content="20041112;14401801"> <meta name="KEYWORDS" content="parallel LES model"> <style>
+<meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252"><title>PALM chapter 3.5.1</title> <meta name="GENERATOR" content="StarOffice 7 (Win32)"> <meta name="AUTHOR" content="Siegfried Raasch"> <meta name="CREATED" content="20040802;11451548"> <meta name="CHANGED" content="20041112;14401801"> <meta name="KEYWORDS" content="parallel LES model"> <style>
 <!--
 @page { size: 21cm 29.7cm }
@@ -204,21 +203,28 @@
 quantities can be computed here. Also, additional time series
 quantities can be calculated. They have to be defined before in routine
-<a href="#user_init"><span style="font-family: Courier New,Courier,monospace;">user_init</span></a>.
-The routine is called once for each defined statistic region (see <a href="chapter_4.1.html#statistic_region">statistic_region</a>).</p><p></p><p>The
+<a style="font-family: monospace;" href="#user_init">user_init</a>.
+The routine is called once for each defined statistic region (see <a href="chapter_4.1.html#statistic_region">statistic_region</a>).</p><p>The
 routine contains some simple examples (as comment lines) in order to
-demonstrate how to use it.</p><p><br>Profiles have to
-be written to
-the array <tt><font style="font-size: 10pt;" size="2">sums</font></tt>.
-Please use profile numbers starting from 70 upward (thus e.g. <tt><font style="font-size: 10pt;" size="2">sums (&hellip;,
-60) =</font></tt><font style="font-size: 10pt;" size="2">&hellip;)</font>. These additional
+demonstrate how to use it.<br><br>Profile sums have to
+be stored in
+the array <tt><font style="font-size: 10pt;" size="2">sums_l</font></tt>.&nbsp;The profile identification number (second index of array <span style="font-family: monospace;">sums_l</span>) must be within the range [<span style="font-family: monospace;"> pr_palm+1 , pr_palm+max_pr_user</span> ], where <span style="font-family: monospace;">pr_palm</span> is an internal parameter and&nbsp; <span style="font-family: Courier New,Courier,monospace;">max_pr_user</span> is the number of&nbsp;user-defined profiles as given by parameter <a href="http://www.muk.uni-hannover.de/%7Eraasch/PALM_group/doc/app/chapter_4.3.html#data_output_pr_user">data_output_pr_user</a> in the respective PALM run.</p><p> These additional
 profiles
-are temporally averaged in <tt><font style="font-size: 10pt;" size="2">flow_statistics</font></tt>.</p> </td>
+are further processed (e.g. temporally averaged), like the standard profiles, in <tt><font style="font-size: 10pt;" size="2">flow_statistics</font></tt>.</p> </td>
 </tr> <tr><td style="vertical-align: top;">End
 of <span style="font-family: monospace;">check_parameters.f90</span>
-where output quantities are checked</td><td style="vertical-align: top;"><span style="font-family: monospace;"><a name="user_check_data_output"></a>user_check_data_<br>output(
-variable, unit )</span></td><td style="vertical-align: top;">Here the <span style="font-family: monospace;">unit</span>(s) of
-user-defined output quantities (see <a href="chapter_4.3.html#data_output_user">data_output_user</a>)
+where 2d/3d output quantities are checked</td><td style="vertical-align: top;"><span style="font-family: monospace;"><a name="user_check_data_output"></a>user_check_data_<br>output(
+variable, unit )</span></td><td style="vertical-align: top;">Here the physical <span style="font-family: monospace;">unit</span>(s) of
+user-defined 2d/3d output quantities (see <a href="chapter_4.3.html#data_output_user">data_output_user</a>)
 have to be set. Input parameter <span style="font-family: monospace;">variable</span>
 contains the string identifier of the respective variable. For those
+variables not recognized by the user, the parameter <span style="font-family: monospace;">unit</span> is set to
+"illegal", which tells the calling routine that the output variable is
+not defined and leads to a program abort.<br><br>See <a href="chapter_3.5.4.html">chapter 3.5.4</a> about
+creating user-defined output quantities.</td></tr><tr><td style="vertical-align: top;">End
+of <span style="font-family: monospace;">check_parameters.f90</span>
+where vertical profile output quantities are checked</td><td style="vertical-align: top;"><a name="user_check_data_output_pr"></a><br><span style="font-family: monospace;">user_check_data_</span><br style="font-family: monospace;"><span style="font-family: monospace;">output_pr(</span><br style="font-family: monospace;"><span style="font-family: monospace;">variable, var_count, unit )</span></td><td style="vertical-align: top;">Here the physical <span style="font-family: monospace;">unit</span>(s) and vertical grid (u- or w-grid) of
+user-defined vertical profile output quantities (see <a href="chapter_4.3.html#data_output_pr_user">data_output_pr_user</a>)
+have to be set. Input parameter <span style="font-family: monospace;">variable</span>
+contains the string identifier of the respective variable. Parameter<span style="font-family: monospace;"> var_count </span>contains the internal profile number and must not be changed by the user. For those
 variables not recognized by the user, the parameter <span style="font-family: monospace;">unit</span> is set to
 "illegal", which tells the calling routine that the output variable is
Index: /palm/trunk/DOC/tec/technical_documentation.html
===================================================================
--- /palm/trunk/DOC/tec/technical_documentation.html	(revision 89)
+++ /palm/trunk/DOC/tec/technical_documentation.html	(revision 90)
@@ -12,5 +12,5 @@
 <br><table nosave="" cellpadding="0" cellspacing="0"> <caption>&nbsp; <br> </caption><tbody>
 </tbody><tbody> </tbody> <tbody> <tr nosave=""> <td nosave=""><b>Current
-model version:</b></td> <td><span style="font-weight: bold;">3.2a</span></td> </tr>
+model version:</b></td> <td><span style="font-weight: bold;">3.2b</span></td> </tr>
 <tr nosave=""> <td nosave=""><b>Last
 change of this document</b>:&nbsp;</td> <td nosave=""><b>$Id$</b></td> </tr>
@@ -2308,5 +2308,8 @@
 header, init_dvrp, init_particles, init_1d_model, init_dvrp,
 init_pegrid, local_getenv, local_system, local_tremain,
-local_tremain_ini, modules, palm, parin, run_control<br><br><span style="font-weight: bold;">new:</span><br>local_flush<br><br><span style="font-weight: bold;">changed scripts:</span><br>mbuild, mrun, .mrun.config.default<br></td></tr>
+local_tremain_ini, modules, palm, parin, run_control<br><br><span style="font-weight: bold;">new:</span><br>local_flush<br><br><span style="font-weight: bold;">changed scripts:</span><br>mbuild, mrun, .mrun.config.default<br></td></tr><tr><td style="vertical-align: top;">30/05/07</td><td style="vertical-align: top;">SR</td><td style="vertical-align: top;">3.2b</td><td style="vertical-align: top;">N</td><td style="vertical-align: top;">Calculation and output of user-defined profiles: New&nbsp;userpar-parameter <span style="font-family: Courier New,Courier,monospace;">data_output_pr_user</span>. In the user-interface, routine <span style="font-family: Courier New,Courier,monospace;">user_check_data_output_pr</span> has been added and <span style="font-family: Courier New,Courier,monospace;">user_statistics</span> has been extended.<br></td><td style="vertical-align: top;">check_parameters, flow_statistics, modules, parin, read_var_list, user_interface, write_var_list</td></tr><tr><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">C</td><td style="vertical-align: top;">In <span style="font-family: Courier New,Courier,monospace;">pres.f90</span>, division through <span style="font-family: Courier New,Courier,monospace;">dt_3d</span>
+replaced by multiplication of the inverse. For performance
+optimisation, this is done in the loop calculating the divergence
+instead of using a seperate loop.<br><br>Variables <span style="font-family: Courier New,Courier,monospace;">var_hom</span> and <span style="font-family: Courier New,Courier,monospace;">var_sum</span> are both renamed <span style="font-family: Courier New,Courier,monospace;">pr_palm</span>.</td><td style="vertical-align: top;">data_output_profiles, flow_statistics, init_3d_model, modules, parin, pres, read_var_list, run_control, time_integration</td></tr><tr><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">&nbsp;</td><td style="vertical-align: top;">E</td><td style="vertical-align: top;">Bugfix: <span style="font-family: Courier New,Courier,monospace;">work_fft*_vec</span> removed from some PRIVATE-declarations (<span style="font-family: Courier New,Courier,monospace;">poisfft</span>).<br><br>Bugfix: <span style="font-family: Courier New,Courier,monospace;">field_chr</span> renamed <span style="font-family: Courier New,Courier,monospace;">field_char</span> (<span style="font-family: Courier New,Courier,monospace;">user_interface</span>).<br><br>Bugfix: output of <span style="font-family: Courier New,Courier,monospace;">use_upstream_for_tke</span> (<span style="font-family: Courier New,Courier,monospace;">header</span>).</td><td style="vertical-align: top;">header, poisfft, user_interface</td></tr>
 </tbody>
 </table>&nbsp;<b><blink>Attention:</blink></b>
Index: /palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 89)
+++ /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 90)
@@ -1,23 +1,10 @@
 New:
 ---
-Calculation and output of user-defined profiles. New &userpar parameters data_output_pr_user and max_pr_user.
-
-check_parameters, flow_statistics, modules, parin, read_var_list, user_interface, write_var_list
 
 
 Changed:
 -------
-Division through dt_3d replaced by multiplication of the inverse. For performance optimisation, this is done in the loop calculating the divergence instead of using a seperate loop. (pres.f90) var_hom and var_sum renamed pr_palm.
-
-data_output_profiles, flow_statistics, init_3d_model, modules, parin, pres, read_var_list, run_control, time_integration
 
 
 Errors:
 ------
-Bugfix: work_fft*_vec removed from some PRIVATE-declarations (poisfft).
-
-Bugfix: field_chr renamed field_char (user_interface).
-
-Bugfix: output of use_upstream_for_tke (header).
-
-header, poisfft, user_interface
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 89)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 90)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Check for user-defined profiles
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 89 2007-05-25 12:08:31Z raasch
+! Check for user-defined profiles
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_profiles.f90	(revision 89)
+++ /palm/trunk/SOURCE/data_output_profiles.f90	(revision 90)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! var_hom renamed pr_palm
+! 
 !
 ! Former revisions:
@@ -10,4 +10,7 @@
 ! $Id$
 ! RCS Log replace by Id keyword, revision history cleaned up
+!
+! 87 2007-05-22 15:46:47Z raasch
+! var_hom renamed pr_palm
 !
 ! Revision 1.18  2006/08/16 14:27:04  raasch
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 89)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 90)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 87 2007-05-22 15:46:47Z raasch
 ! Two more arguments added to user_statistics, which is now also called for
 ! user-defined profiles,
 ! var_hom and var_sum renamed pr_palm
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 89)
+++ /palm/trunk/SOURCE/header.f90	(revision 90)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: output of use_upstream_for_tke
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 87 2007-05-22 15:46:47Z raasch
+! Bugfix: output of use_upstream_for_tke
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 89)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 90)
@@ -7,9 +7,12 @@
 ! Actual revisions:
 ! -----------------
-! var_hom and var_sum renamed pr_palm
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 87 2007-05-22 15:46:47Z raasch
+! var_hom and var_sum renamed pr_palm
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 89)
+++ /palm/trunk/SOURCE/modules.f90	(revision 90)
@@ -5,11 +5,14 @@
 ! Actual revisions:
 ! -----------------
-! +data_output_pr_user, max_pr_user, size of data_output_pr, dopr_index,
-! dopr_initial_index and dopr_unit enlarged,
-! var_hom and var_sum renamed pr_palm
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 89 2007-05-25 12:08:31Z raasch
+! +data_output_pr_user, max_pr_user, size of data_output_pr, dopr_index,
+! dopr_initial_index and dopr_unit enlarged,
+! var_hom and var_sum renamed pr_palm
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 89)
+++ /palm/trunk/SOURCE/palm.f90	(revision 90)
@@ -63,5 +63,5 @@
     INTEGER           ::  i, run_description_header_i(80)
 
-    version = 'PALM 3.2a'
+    version = 'PALM 3.2b'
 
 #if defined( __parallel )
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 89)
+++ /palm/trunk/SOURCE/parin.f90	(revision 90)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Size of hom increased by the maximum number of user-defined profiles,
-! var_hom renamed pr_palm
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 87 2007-05-22 15:46:47Z raasch
+! Size of hom increased by the maximum number of user-defined profiles,
+! var_hom renamed pr_palm
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: /palm/trunk/SOURCE/poisfft.f90
===================================================================
--- /palm/trunk/SOURCE/poisfft.f90	(revision 89)
+++ /palm/trunk/SOURCE/poisfft.f90	(revision 90)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: work_fft*_vec removed from some PRIVATE-declarations
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 85 2007-05-11 09:35:14Z raasch
+! Bugfix: work_fft*_vec removed from some PRIVATE-declarations
 !
 ! 76 2007-03-29 00:58:32Z raasch
Index: /palm/trunk/SOURCE/pres.f90
===================================================================
--- /palm/trunk/SOURCE/pres.f90	(revision 89)
+++ /palm/trunk/SOURCE/pres.f90	(revision 90)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 85 2007-05-11 09:35:14Z raasch
 ! Division through dt_3d replaced by multiplication of the inverse.
 ! For performance optimisation, this is done in the loop calculating the
 ! divergence instead of using a seperate loop.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 89)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 90)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +max_pr_user (version 3.1), var_hom renamed pr_palm
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 87 2007-05-22 15:46:47Z raasch
+! +max_pr_user (version 3.1), var_hom renamed pr_palm
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/run_control.f90
===================================================================
--- /palm/trunk/SOURCE/run_control.f90	(revision 89)
+++ /palm/trunk/SOURCE/run_control.f90	(revision 90)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! var_hom renamed pr_palm
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 87 2007-05-22 15:46:47Z raasch
+! var_hom renamed pr_palm
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 89)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 90)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! var_hom renamed pr_palm
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 87 2007-05-22 15:46:47Z raasch
+! var_hom renamed pr_palm
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: /palm/trunk/SOURCE/user_interface.f90
===================================================================
--- /palm/trunk/SOURCE/user_interface.f90	(revision 89)
+++ /palm/trunk/SOURCE/user_interface.f90	(revision 90)
@@ -4,12 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 89 2007-05-25 12:08:31Z raasch
 ! Calculation and output of user-defined profiles: new routine
 ! user_check_data_output_pr, +data_output_pr_user, max_pr_user in userpar,
 ! routine user_statistics has got two more arguments
 ! Bugfix: field_chr renamed field_char
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 60 2007-03-11 11:50:04Z raasch
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 89)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 90)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +max_pr_user (version 3.1)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 87 2007-05-22 15:46:47Z raasch
+! +max_pr_user (version 3.1)
 !
 ! 75 2007-03-22 09:54:05Z raasch