Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 90)
+++ palm/trunk/SOURCE/parin.f90	(revision 94)
@@ -4,5 +4,7 @@
 ! Actual revisions:
 ! -----------------
-! 
+! +ocean, sa_surface, sa_vertical_gradient, sa_vertical_gradient_level,
+! top_salinity_flux in inipar,
+! sa_init is allocated
 !
 ! Former revisions:
@@ -61,40 +63,34 @@
     NAMELIST /inipar/  adjust_mixing_length, alpha_surface, bc_e_b, bc_lr, &
                        bc_ns, bc_p_b, bc_p_t, bc_pt_b, bc_pt_t, bc_q_b, &
-                       bc_q_t,bc_s_b, bc_s_t, bc_uv_b, bc_uv_t, &
-                       building_height, building_length_x, building_length_y, &
-                       building_wall_left, building_wall_south, &
-                       cloud_droplets, cloud_physics, conserve_volume_flow, &
-                       cut_spline_overshoot, damp_level_1d, dissipation_1d, &
-                       dt, dt_pr_1d, dt_run_control_1d, dx, dy, dz, dz_max, &
-                       dz_stretch_factor, dz_stretch_level, e_min, &
-                       end_time_1d, fft_method, galilei_transformation, &
-                       grid_matching, humidity, inflow_disturbance_begin, &
-                       inflow_disturbance_end, initializing_actions, &
-                       km_constant, km_damp_max, long_filter_factor, &
-                       loop_optimization, mixing_length_1d, &
-                       momentum_advec, netcdf_precision, npex, npey, nsor_ini, &
-                       nx, ny, nz, omega, outflow_damping_width, &
-                       overshoot_limit_e, &
-                       overshoot_limit_pt, overshoot_limit_u, &
-                       overshoot_limit_v, overshoot_limit_w, passive_scalar, &
-                       phi, prandtl_layer, precipitation, pt_reference, &
-                       pt_surface, pt_surface_initial_change, &
-                       pt_vertical_gradient, pt_vertical_gradient_level, &
-                       q_surface, q_surface_initial_change, &
-                       q_vertical_gradient, q_vertical_gradient_level, &
-                       radiation, random_generator, random_heatflux, rif_max, &
-                       rif_min, roughness_length, scalar_advec, &
-                       statistic_regions, surface_heatflux, surface_pressure, &
-                       surface_scalarflux, surface_waterflux, s_surface, &
-                       s_surface_initial_change, s_vertical_gradient, &
-                       s_vertical_gradient_level, top_heatflux, &
-                       timestep_scheme, topography, ug_surface, &
-                       ug_vertical_gradient, ug_vertical_gradient_level, &
-                       ups_limit_e, ups_limit_pt, ups_limit_u, ups_limit_v, &
-                       ups_limit_w, use_surface_fluxes, use_top_fluxes, &
-                       use_ug_for_galilei_tr, use_upstream_for_tke, &
-                       vg_surface, vg_vertical_gradient, &
-                       vg_vertical_gradient_level, wall_adjustment, &
-                       wall_heatflux
+             bc_q_t,bc_s_b, bc_s_t, bc_uv_b, bc_uv_t, building_height, &
+             building_length_x, building_length_y, building_wall_left, &
+             building_wall_south, cloud_droplets, cloud_physics, &
+             conserve_volume_flow, cut_spline_overshoot, damp_level_1d, &
+             dissipation_1d, dt, dt_pr_1d, dt_run_control_1d, dx, dy, dz, &
+             dz_max, dz_stretch_factor, dz_stretch_level, e_min, end_time_1d, &
+             fft_method, galilei_transformation, grid_matching, humidity, &
+             inflow_disturbance_begin, inflow_disturbance_end, &
+             initializing_actions, km_constant, km_damp_max, &
+             long_filter_factor, loop_optimization, mixing_length_1d, &
+             momentum_advec, netcdf_precision, npex, npey, nsor_ini, nx, ny, &
+             nz, ocean, omega, outflow_damping_width, overshoot_limit_e, &
+             overshoot_limit_pt, overshoot_limit_u, overshoot_limit_v, &
+             overshoot_limit_w, passive_scalar, phi, prandtl_layer, &
+             precipitation, pt_reference, pt_surface, &
+             pt_surface_initial_change, pt_vertical_gradient, &
+             pt_vertical_gradient_level, q_surface, q_surface_initial_change, &
+             q_vertical_gradient, q_vertical_gradient_level, radiation, &
+             random_generator, random_heatflux, rif_max, rif_min, &
+             roughness_length, sa_surface, sa_vertical_gradient, &
+             sa_vertical_gradient_level, scalar_advec, statistic_regions, &
+             surface_heatflux, surface_pressure, surface_scalarflux, &
+             surface_waterflux, s_surface, s_surface_initial_change, &
+             s_vertical_gradient, s_vertical_gradient_level, top_heatflux, &
+             top_salinity_flux, timestep_scheme, topography, ug_surface, &
+             ug_vertical_gradient, ug_vertical_gradient_level, ups_limit_e, &
+             ups_limit_pt, ups_limit_u, ups_limit_v, ups_limit_w, &
+             use_surface_fluxes, use_top_fluxes, use_ug_for_galilei_tr, &
+             use_upstream_for_tke, vg_surface, vg_vertical_gradient, &
+             vg_vertical_gradient_level, wall_adjustment, wall_heatflux
 
 
@@ -232,6 +228,6 @@
 
        ALLOCATE( ug(0:nz+1), vg(0:nz+1), &
-                 pt_init(0:nz+1), q_init(0:nz+1), u_init(0:nz+1), &
-                 v_init(0:nz+1),                                  &
+                 pt_init(0:nz+1), q_init(0:nz+1), sa_init(0:nz+1), &
+                 u_init(0:nz+1), v_init(0:nz+1),                   &
                  hom(0:nz+1,2,pr_palm+max_pr_user,0:statistic_regions) )
        hom = 0.0